# CRP Gateway
## RELEASE NOTES 
> v1.8.0

### Upgrade Steps
* Refer to CRP Gateway Patching Guide v1.0 or above

### New Features
* According to the release of AIDG v1.5, the changes are as follows:
  1. Deprecate the REP (Replace) in File Action
  2. Added File Type *CREDIT_REPORT_FILE* and *CREDIT_ENQUIRY_FILE*
  3. Added Report Type *A1*, *A4* in PMDS Credit Report Download Notifcation
* File Management to send API to CRP

### Bug Fixes
* Fix older version will occasionally stucked in dead-loop on replying PMDS Prescribed Consent List Download Notifcation

### Improvements
* Allow multiple default CRAs to be configured in Gateway Configuration for TUEF files that do not align our naming convention in SFTP channel
* Handle displaying more system error message during data submission upload
* Displaying the error details when converting CSV to TUDF / TUEF
* Show approver for data submission and credit report enquiry
* Added template and triggers on sending email when data submission error

### Other Changes
* Application license capabilities
